Results 1 to 10 of 10

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: PPP must have super user privileges error! Help!

  1. #1
    Default PPP must have super user privileges error! Help!
    I'm getting this error when I try to start VPN:

    PPP must have super user privileges to function properly.

    Anyone know have to fix? I have 1.1.4 jailbroken phone.

  2. #2
    Default Same problem with user priviege for PPP
    I have the same problem here. It used to work correctly. Not sure what happens now. Could be due to some 3rd party Apps I installed but do not know which is causing this.

    If someone can tell me what is causing this and a resolution, its much appreciated

  3. #3
    This happen to me after I installed iBirthday. At least I'm fairly certain that's when it happened.

    Try this from a terminal:

    chmod 4755 /usr/sbin/pppd

    It worked for me.
    Last edited by jpeel; 2008-03-19 at 02:01 PM. Reason: Automerged Doublepost

  4. The Following User Says Thank You to jpeel For This Useful Post:

    devilowns (2008-06-17)

  5. #4
    Yes. You are right. it looks like iBirthday is the culprit. Did what you recommended and VPN works fine now. Thanks a million !!

  6. #5
    I'd unistall the I Bday, but the PPP superuser privileges persists...

    Could someone explain me how do I do this:

    jpeel said:
    Try this from a terminal:

    chmod 4755 /usr/sbin/pppd

  7. #6
    if you are on windows, you can use putty (an ssh client) to log into the iphone. You can then execute the command.

  8. #7
    Ok, I am kind of new in this. How do it get my Iphone IP, should I use port 22?

    I already installed PuttY and checked my iphones ID on whatismyid.com but I can't join the I phone. Another thing, I haven't used Putty before how do I execute the command?

  9. #8
    OK, got it and works fine. thx!

  10. #9
    I just upgraded to 2.0 Beta firmware, and I am getting this error..
    Has anyone managed to get any VPN working with the new 2.0 Beta firmware?

    Looks like 2.0 does not have BSD Subsystem and/or terminal, so this fix noted above will not work.

    Any info would be appreciated,

    Thanks.

  11. #10
    Default problem with vpn
    after the instalation of ibrthday i had the same problem..
    i did what jpeel said:
    Try this from a terminal:

    chmod 4755 /usr/sbin/pppd

    Now it show me this msg:the ipsec shared secret is missing please verify your settings

    what to do ?

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •